Subject: Re: Subject: Re: bug#21555: 25.0.50; per-project *vc-change-log* buffers

From: Matthias Meulien <[email-masked]>
Date: Sun, 8 Jun 2025 09:57:49 +0200

> > For the record I attach two patchs that enable per projet change log and
> > diff buffers.
>
> I think such buffer names would be more consistent with
> project-specific prefixes added by project-compile, etc.
>

Yes. It also "fix" the duplication of change logs on revert call.

> Although such prefixes are still removed after reverting
> the compilation buffer.

I can't reproduce that. When pressing `g' key in a `*myproject-compilation*'
buffer (mapped to `recompile'), the buffer name doesn't change.

So I rely more on 'C-x p C-b'
> to see what buffers belong to the project.
>

I can't see anything when that buffer list is filled of *vc-change-log*<57>,
*vc-change-log*<98>, *vc-diff*<17> etc. buffers.

(there's a missing "(require 'vc)" in project.el in the posted patches,
sorry.)
-- 
Matthias